EDIT - task #9265

Adapt dataportal to new protologue handling
10/29/2020 03:55 PM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.18

Severity: blocker

Description

Protologues are now handled as external links of the nomenclatural source (#6589). The dataportals (and maybe webservices?)

need to be adapted accordingly.

Related issues:

Related to EDIT - feature request #6589: Handle protologue as original source...
Related to EDIT - task #9319: adapt name render templates to new nomenclatura...
Related to EDIT - feature request #4644: json lib incorrectly serializes valu...
Related to EDIT - feature request #9320: Move additional publication informat...
Related to EDIT - bug #8851: display of name facts not appropriate in all cases
Copied to EDIT - task #9323: discuss display of ExternalLink.description
Associated revisions

Revision f9b5740e - 11/24/2020 10:16 PM - Andreas Kohlbecker

ref #9265 switching to NomenclaturalSource.links for protologues

Revision df2b235a - 11/24/2020 10:26 PM - Andreas Kohlbecker

ref #9265 switching to NomenclaturalSource.links for protologues - comment

Revision d5de0Ob1f - 11/25/2020 01:51 PM - Andreas Kohlbecker

ref #9265 getting citationDetail from NomenclaturalSource

Revision c11d7e10 - 11/25/2020 02:46 PM - Andreas Kohlbecker

ref #9265 implementing test for nom-ref and protologues, also preparing for ref #9319

Revision a8393f17 - 11/25/2020 02:53 PM - Andreas Kohlbecker

ref #9265 implementing test for nom-ref and protologues, also preparing for ref #9319 - 2

Revision 61e84a73 - 11/25/2020 02:57 PM - Andreas Kohlbecker

ref #9265 implementing protologueLinks web service

Revision aa06c1f1 - 11/25/2020 05:06 PM - Andreas Kohlbecker

ref #9265 introducing NomenclaturalSourceBeanProcessor to add nomenclaturalCitation to web service responses

Revision 4fa58f06 - 11/25/2020 05:09 PM - Andreas Kohlbecker

ref #9265 making use of nomenclaturalSource->nomenclaturalCitation

Revision 562f293f - 11/25/2020 06:07 PM - Andreas Kohlbecker

ref #9265 making use of nomenclaturalSource->nomenclaturalCitation - extending initStrategy

Revision beb7ecbe - 11/26/2020 11:17 AM - Andreas Kohlbecker

ref #9265 adapting test to improved nomRef citation string generation

Revision 9¢96ba36 - 11/27/2020 12:45 PM - Andreas Kohlbecker
ref #9265 reverting to old nomRef retrival strategy and fixing bugs

Revision 2198885 - 11/27/2020 12:52 PM - Andreas Kohlbecker

ref #9265 removing NomenclaturalSourceBeanProcessor since it causes many hard to controll LazylnitializationExcptions in web services

Revision e024a603 - 11/30/2020 05:14 PM - Andreas Kohlbecker

ref #8851, ref #9265 improved re-implementation of name desciptions (annotations and sources still pending)

History

#1 - 10/29/2020 03:56 PM - Andreas Miiller
- Related to feature request #6589: Handle protologue as original source with URI link added

#2 - 10/29/2020 03:57 PM - Andreas Miiller

- Description updated

#3 - 11/23/2020 04:05 PM - Andreas Kohlbecker

- Description updated

#4 - 11/23/2020 04:06 PM - Andreas Kohlbecker

- Status changed from New to In Progress

There is no specific web service for protologues so only the dataportal needs to be adapted.

#5 - 11/24/2020 07:04 PM - Andreas Kohlbecker

- Related to task #9319: adapt name render templates to new nomenclatural source which also contain protologues as external links added

#6 - 11/24/2020 10:34 PM - Andreas Kohlbecker
- Status changed from In Progress to Feedback
- Assignee changed from Andreas Kohlbecker to Andreas Mliller

- % Done changed from 0 to 20

this is basically implemented, tests are pending.

One question in advance: ExternalLink has the property description, how should this be handled in case of the protologues? | suggest using foot
notes in this case. This should be feasible for all other situations in which ExternalLinks occur also.

#7 - 11/25/2020 12:25 PM - Andreas Miiller
- Assignee changed from Andreas Miller to Andreas Kohlbecker
Andreas Kohlbecker wrote:
this is basically implemented, tests are pending.
One question in advance: ExternalLink has the property description, how should this be handled in case of the protologues? | suggest using foot

notes in this case. This should be feasible for all other situations in which ExternalLinks occur also.

As discussed in stand up | am not sure what the best solution is. Probably we should ask the users (the description was original WGBs idea) what
they expect. It is even possible that it should not be displayed at all and is only meant as internal note). This is a general issue for all ExternalLinks,
not only for nomenclatural sources. | think we should open a new ticket for this.

#8 - 11/25/2020 03:03 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Andreas Mliller

- % Done changed from 20 to 40

new ticket for discussion on display of ExternalLink.description: #9323

#9 - 11/25/2020 03:03 PM - Andreas Kohlbecker

- Status changed from Feedback to Resolved
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

#10 - 11/25/2020 03:03 PM - Andreas Kohlbecker
- Copied to task #9323: discuss display of ExternalLink.description added

#11 - 11/25/2020 03:18 PM - Andreas Kohlbecker

- Related to feature request #4644: json lib incorrectly serializes values containig the characters [, ], {, } added

#12 - 11/30/2020 01:08 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 40 to 100

cant see that there is still something missing and thus closing this ticket

#13 - 11/30/2020 03:25 PM - Andreas Kohlbecker
- Status changed from Closed to In Progress

- % Done changed from 100 to 40

now | found the missing bit.

In cdm-dataportal|f9b5740e33ff94ab9e1703774379f5d67d103649 the apparently imcomplete implementation for displaying of
ADDITIONAL_PUBLICATION name features has been removed

since it was rarely used (#6589#note-27) and to be improved after solving #9320. The now removed implementation however was an important
requirement for the flora of cuba #8851 and must therefore not be removed.

#14 - 11/30/2020 03:26 PM - Andreas Kohlbecker

- Related to feature request #9320: Move additional publication information to nomenclatural source added

#15 - 11/30/2020 03:26 PM - Andreas Kohlbecker
- Related to bug #8851 display of name facts not appropriate in all cases added

#16 - 12/01/2020 02:18 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 40 to 100

now that #8851 is solved the functionality which has been removed while working on this ticket is restored, so we can close it.
